#pragma interface
#ifndef TLMPSQL_H
#define TLMPSQL_H

#ifndef _mysql_h
typedef char **MYSQL_ROW;
#endif

#include "nsql.h"

#define _TLMP_sql_query ___v1

struct _F_sql_query{
	#define _F_sql_query_onerow(x) void x onerow (const char *row[], int rownum, NSQL_FIELD_NAMES &fields)
	virtual _F_sql_query_onerow( );
	#define _F_sql_query_dostart(x) void x dostart (int nbrow)
	virtual _F_sql_query_dostart( );
	#define _F_sql_query_doend(x) void x doend ()
	virtual _F_sql_query_doend( );
	#define _F_sql_query_empty(x) void x empty ()
	virtual _F_sql_query_empty( );
};

struct _F_sql_query___v1{
	#define _F_sql_query___v1_onerow(x) void x onerow (const char *row[], int rownum, NSQL_FIELD_NAMES &fields, bool &end)
	virtual _F_sql_query___v1_onerow( );
	#define _F_sql_query___v1_dostart(x) void x dostart (int nbrow)
	virtual _F_sql_query___v1_dostart( );
	#define _F_sql_query___v1_doend(x) void x doend ()
	virtual _F_sql_query___v1_doend( );
	#define _F_sql_query___v1_empty(x) void x empty ()
	virtual _F_sql_query___v1_empty( );
};

class SSTRING;
class NSQL;
class NSQL_ARGS;
class VCTLLIST;

#include "tlmpsql.p"

#endif

